io.milvus.param

## Class ParamUtils.InsertBuilderWrapper

- java.lang.Object
- - io.milvus.param.ParamUtils.InsertBuilderWrapper

- Enclosing class:
    ParamUtils

      public static class ParamUtils.InsertBuilderWrapper
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InsertBuilderWrapper(@NonNull InsertParam requestParam, DescCollResponseWrapper wrapper)`
    `InsertBuilderWrapper(@NonNull UpsertParam requestParam, DescCollResponseWrapper wrapper)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `io.milvus.grpc.InsertRequest` | `buildInsertRequest()`
    `io.milvus.grpc.UpsertRequest` | `buildUpsertRequest()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InsertBuilderWrapper

          public InsertBuilderWrapper(@NonNull
                                      @NonNull InsertParam requestParam,
                                      DescCollResponseWrapper wrapper)

    - #### InsertBuilderWrapper

          public InsertBuilderWrapper(@NonNull
                                      @NonNull UpsertParam requestParam,
                                      DescCollResponseWrapper wrapper)

  - ### Method Detail

    - #### buildInsertRequest

          public io.milvus.grpc.InsertRequest buildInsertRequest()

    - #### buildUpsertRequest

          public io.milvus.grpc.UpsertRequest buildUpsertRequest()